# SuffixTrie.LookupResult (Crawler-commons 1.3 API)

Package crawlercommons.domains

## Class SuffixTrie.LookupResult<V>

- java.lang.Object
- - crawlercommons.domains.SuffixTrie.LookupResult<V>

Enclosing class:
  SuffixTrie<V>

    public static class SuffixTrie.LookupResult<V>
    extends Object

Wrapper for results when a string is checked for suffixes contained in the suffix trie.

### Constructor Summary

Constructors
`LookupResult​(int offset, V value)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupResult

    public LookupResult​(int offset,
                        V value)